cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
812
Views
15
Helpful
3
Replies
Highlighted
Beginner

Cisco Wirless controller (AIR-CT5508-250-K9) Firmware

I would like to know the latest firmware version for the WLC 5508 (AIR-CT5508-250-K9) .

Current version which is showing in this device is 7.4.140.0 let me know what is the latest version on this.

Please share me a link to download the latest firmware i am unable to download it from cisco site.

 

Please share the upgrade procedure also.

 

 

3 REPLIES 3
Highlighted

Hi,

5508 has still no end-of-... Date announced. https://www.cisco.com/c/en/us/support/wireless/5508-wireless-controller/model.html

So the latest version should be available for this plattform.

Check for the release Notes: https://www.cisco.com/c/en/us/support/wireless/5508-wireless-controller/model.html#ReleaseNotes

8.5.100 is the newest.

But carefully watch the release notes for supporting Accesspoints:

- e.g. 1140 ist not supported anymore in 8.5  (8.3 is the latest)
- for other systems also MSE, ISE ... have a look at the release notes.
- also check for upgrade path.

 

best regards

Alois

Highlighted

Hi @nethack009

The latest version is 8.5. However, before go any longer, which AP model do you have? They need to support newer version.

 Software download is only possible through Cisco web site and it is necessary a contract.

 

https://www.cisco.com/c/en/us/td/docs/wireless/compatibility/matrix/compatibility-matrix.html

 

https://software.cisco.com/download/navigator.html

 

-If I helped you somehow, please, rate it as useful.-

 

Highlighted
Hall of Fame Community Legend

The last and final firmware for the 2504/5508/WiSM2 family of controllers is 8.5.X.X.  They will not support 8.6.X.X (and later). 

Expect the EoS/EoL announcement for the 5508 soon (WiSM2 EoS/EoS) or in the next 6 months.  

When 8.6.X.X gets released, expect the EoS/EoL announcement by then.  

Read the Release Notes very carefully.  Because depending on what version you want to upgrade to, firmware 8.2.X.X and earlier will require only one firmware file to be uploaded.  However, if you want to go to 8.3.X.X and later, you may need to upload two firmware files.  The second file is an AP Supplementary Bundle in case you've got old APs in your network.  

Content for Community-Ad